Bug 463437 - Critical notifications appear in window-heap effects
Summary: Critical notifications appear in window-heap effects
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: general (show other bugs)
Version: 5.26.4
Platform: Manjaro Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-12-24 17:34 UTC by Andrea E. Monti
Modified: 2022-12-30 16:20 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.26.5


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrea E. Monti 2022-12-24 17:34:54 UTC
SUMMARY
***
Critical notifications (such as the low battery notification) show up in the present windows effect and also the new meta+W desktop switcher, as they were proper windows. 
***

STEPS TO REPRODUCE
1. Make sure you are on wayland (actually I haven't tested it on X11)
2. run `notify-send "I'm not a window" -u critical`
3. Open something like dekstops grid or present windows or meta+W

OBSERVED RESULT
The notification is there like any other application window

EXPECTED RESULT
It should not be there (as it appears neither in the task bar nor in the alt+tab windows switcher)

SOFTWARE/OS VERSIONS
Linux/KDE Plasma (latest on manjaro stable on 24/12/22)
KDE Plasma Version: 5.26.4
KDE Frameworks Version: 5.101.0
Qt Version: 5.15.7
Comment 1 Bug Janitor Service 2022-12-27 15:00:35 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kwin/-/merge_requests/3369
Comment 2 Vlad Zahorodnii 2022-12-30 11:55:18 UTC
Git commit ccaf0210d1cb7b9daaf4ddd71a2fa3753661d417 by Vlad Zahorodnii, on behalf of Nicolas Fella.
Committed on 30/12/2022 at 10:47.
Pushed by vladz into branch 'master'.

Ignore critical notifications in window heap effects

We filter out regular notifications, but critical notifications are their own window type, so we need to explicitly filter them too

M  +2    -1    src/effects/desktopgrid/qml/DesktopView.qml
M  +2    -1    src/effects/overview/qml/ScreenView.qml
M  +2    -1    src/effects/windowview/qml/main.qml

https://invent.kde.org/plasma/kwin/commit/ccaf0210d1cb7b9daaf4ddd71a2fa3753661d417
Comment 3 Nate Graham 2022-12-30 15:06:21 UTC
Git commit b52d2733c4f832011f7b3c0dd2b2b9802a231d5d by Nate Graham, on behalf of Nicolas Fella.
Committed on 30/12/2022 at 15:06.
Pushed by ngraham into branch 'cherry-pick-ccaf0210'.

Ignore critical notifications in window heap effects

We filter out regular notifications, but critical notifications are their own window type, so we need to explicitly filter them too


(cherry picked from commit ccaf0210d1cb7b9daaf4ddd71a2fa3753661d417)

M  +2    -1    src/effects/desktopgrid/qml/DesktopView.qml
M  +2    -1    src/effects/overview/qml/ScreenView.qml
M  +2    -1    src/effects/windowview/qml/main.qml

https://invent.kde.org/plasma/kwin/commit/b52d2733c4f832011f7b3c0dd2b2b9802a231d5d